Skip to main content
GET
Get load balancer status

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

load_balancer_id
string<uuid4>
required

Load-Balancer ID

Example:

"ac307687-31a4-4a11-a949-6bea1b2878f5"

Response

200 - application/json

OK

id
string<uuid>
required

UUID of the entity

Example:

"00000000-0000-4000-8000-000000000000"

listeners
ListenerStatusSerializer · object[]
required

Listeners of the Load Balancer

name
string
required

Name of the load balancer

Example:

"My Load Balancer"

operating_status
enum<string>
required

Operating status of the entity

Available options:
DEGRADED,
DRAINING,
ERROR,
NO_MONITOR,
OFFLINE,
ONLINE
Examples:

"ONLINE"

"DRAINING"

"OFFLINE"

"DEGRADED"

"ERROR"

"NO_MONITOR"

provisioning_status
enum<string>
required

Provisioning status of the entity

Available options:
ACTIVE,
DELETED,
ERROR,
PENDING_CREATE,
PENDING_DELETE,
PENDING_UPDATE
Examples:

"ACTIVE"

"DELETED"

"ERROR"

"PENDING_CREATE"

"PENDING_UPDATE"

"PENDING_DELETE"

tags
TagSerializer · object[]

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example: